# Get account parameters Endpoint: GET /accounts/{id}/parameters Version: 1.0.0 Security: Api access ## Path parameters: - `id` (string, required) The id of the account. Example: "3dc3d5b3-7023-4848-9853-f5400a64e81f" ## Header parameters: - `PSU-IP-Address` (string) IP Address of the PSU, it should only be set if this request was actively initiated by the PSU. Most operations have request limits that apply when a user is not present. - `Consent-ID` (string) The consent id. Should be set unless a specific Subscription-Id is used. - `Channel-Type` (string) The banking channel. Enum: "unspecified", "openBanking", "psd2" - `Subscription-Id` (string) Id of the subscription to use. Only supported for Channel-Type openBanking. - `Resource-Group-Name` (string) Name of the resource group to use in the specified subscription. Only supported for Channel-Type openBanking - `Scopes` (array) Resource scopes to use, mutually exclusive with subscriptionId. - /: Use all resources available. - /subscriptions/7fdf00601dfb: Use all resources in subscription 7fdf00601dfb. - /subscriptions/7fdf00601dfb/resource-groups/my-company: Use all resources within subscription 7fdf00601dfb and resource-group my-company. Example: "/subscriptions/7fdf00601dfb/resource-groups/my-company" - `api-version` (string) ## Response 200 fields (application/json): - `account` (object) Account reference - `account.iban` (null,string) IBAN of the account Example: "FR7612345987650123456789014" - `account.bban` (null,string) BBAN of the account - ISO 20022 Example: "BARC12345612345678" - `account.other` (object) Generic account reference. - `account.other.identification` (string, required) Account identification. Example: "123-1234" - `account.other.schemeName` (string, required) Name of the identification scheme. Example: * BBAN: Basic Bank Account Number. * BGNR: Bankgirot number. * PGNR: PlusGirot number. * giro: Giro Denmark. Example: "BGNR" - `account.currency` (null,string) Currency code - ISO 4217 Example: "EUR" - `account.pan` (null,string) Primary Account Number - ISO/IEC 7812 Example: "5409050000000000" - `account.maskedPan` (null,string) Masked Primary Account Number - ISO/IEC 7812 Example: "123456xxxxxx1234" - `account.msisdn` (null,string) Mobile phone number Example: "+491701234567" - `parameters` (object) Parameters for an account. - `parameters.payments` (object) Parameters for payments. - `parameters.payments.requiredAuthorizations` (null,integer) The total number of authorizations required for payments. Example: 1 - `parameters.payments.accountingApprovedPayments` (null,boolean) If accounting approved payments (RGB) are enabled for payments Example: true ## Response 401 fields (application/json): - `type` (null,string) - `title` (null,string) - `status` (null,integer) - `detail` (null,string) - `instance` (null,string) ## Response 403 fields (application/json): - `type` (null,string) - `title` (null,string) - `status` (null,integer) - `detail` (null,string) - `instance` (null,string) ## Response 404 fields (application/json): - `type` (null,string) - `title` (null,string) - `status` (null,integer) - `detail` (null,string) - `instance` (null,string)